"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = function(target, all) {
    for(var name in all)__defProp(target, name, {
        get: all[name],
        enumerable: true
    });
};
var __copyProps = function(to, from, except, desc) {
    if (from && typeof from === "object" || typeof from === "function") {
        var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = undefined;
        try {
            var _loop = function() {
                var key = _step.value;
                if (!__hasOwnProp.call(to, key) && key !== except) __defProp(to, key, {
                    get: function() {
                        return from[key];
                    },
                    enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable
                });
            };
            for(var _iterator = __getOwnPropNames(from)[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true)_loop();
        } catch (err) {
            _didIteratorError = true;
            _iteratorError = err;
        } finally{
            try {
                if (!_iteratorNormalCompletion && _iterator.return != null) {
                    _iterator.return();
                }
            } finally{
                if (_didIteratorError) {
                    throw _iteratorError;
                }
            }
        }
    }
    return to;
};
var __toCommonJS = function(mod) {
    return __copyProps(__defProp({}, "__esModule", {
        value: true
    }), mod);
};
// test/e2e/JSONSchema.ts
var JSONSchema_exports = {};
__export(JSONSchema_exports, {
    input: function() {
        return input;
    }
});
module.exports = __toCommonJS(JSONSchema_exports);
var input = {
    id: "http://json-schema.org/draft-04/schema#",
    $schema: "http://json-schema.org/draft-04/schema#",
    description: "Core schema meta-schema",
    definitions: {
        schemaArray: {
            type: "array",
            minItems: 1,
            items: {
                $ref: "#"
            }
        },
        positiveInteger: {
            type: "integer",
            minimum: 0
        },
        positiveIntegerDefault0: {
            allOf: [
                {
                    $ref: "#/definitions/positiveInteger"
                },
                {
                    default: 0
                }
            ]
        },
        simpleTypes: {
            enum: [
                "array",
                "boolean",
                "integer",
                "null",
                "number",
                "object",
                "string"
            ]
        },
        stringArray: {
            type: "array",
            items: {
                type: "string"
            },
            minItems: 1,
            uniqueItems: true
        }
    },
    type: "object",
    properties: {
        id: {
            type: "string",
            format: "uri"
        },
        $schema: {
            type: "string",
            format: "uri"
        },
        title: {
            type: "string"
        },
        description: {
            type: "string"
        },
        default: {},
        multipleOf: {
            type: "number",
            minimum: 0,
            exclusiveMinimum: true
        },
        maximum: {
            type: "number"
        },
        exclusiveMaximum: {
            type: "boolean",
            default: false
        },
        minimum: {
            type: "number"
        },
        exclusiveMinimum: {
            type: "boolean",
            default: false
        },
        maxLength: {
            $ref: "#/definitions/positiveInteger"
        },
        minLength: {
            $ref: "#/definitions/positiveIntegerDefault0"
        },
        pattern: {
            type: "string",
            format: "regex"
        },
        additionalItems: {
            anyOf: [
                {
                    type: "boolean"
                },
                {
                    $ref: "#"
                }
            ],
            default: {}
        },
        items: {
            anyOf: [
                {
                    $ref: "#"
                },
                {
                    $ref: "#/definitions/schemaArray"
                }
            ],
            default: {}
        },
        maxItems: {
            $ref: "#/definitions/positiveInteger"
        },
        minItems: {
            $ref: "#/definitions/positiveIntegerDefault0"
        },
        uniqueItems: {
            type: "boolean",
            default: false
        },
        maxProperties: {
            $ref: "#/definitions/positiveInteger"
        },
        minProperties: {
            $ref: "#/definitions/positiveIntegerDefault0"
        },
        required: {
            $ref: "#/definitions/stringArray"
        },
        additionalProperties: {
            anyOf: [
                {
                    type: "boolean"
                },
                {
                    $ref: "#"
                }
            ],
            default: {}
        },
        definitions: {
            type: "object",
            additionalProperties: {
                $ref: "#"
            },
            default: {}
        },
        properties: {
            type: "object",
            additionalProperties: {
                $ref: "#"
            },
            default: {}
        },
        patternProperties: {
            type: "object",
            additionalProperties: {
                $ref: "#"
            },
            default: {}
        },
        dependencies: {
            type: "object",
            additionalProperties: {
                anyOf: [
                    {
                        $ref: "#"
                    },
                    {
                        $ref: "#/definitions/stringArray"
                    }
                ]
            }
        },
        enum: {
            type: "array",
            minItems: 1,
            uniqueItems: true
        },
        type: {
            anyOf: [
                {
                    $ref: "#/definitions/simpleTypes"
                },
                {
                    type: "array",
                    items: {
                        $ref: "#/definitions/simpleTypes"
                    },
                    minItems: 1,
                    uniqueItems: true
                }
            ]
        },
        allOf: {
            $ref: "#/definitions/schemaArray"
        },
        anyOf: {
            $ref: "#/definitions/schemaArray"
        },
        oneOf: {
            $ref: "#/definitions/schemaArray"
        },
        not: {
            $ref: "#"
        }
    },
    dependencies: {
        exclusiveMaximum: [
            "maximum"
        ],
        exclusiveMinimum: [
            "minimum"
        ]
    },
    default: {}
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
    input: input
});
